authenc.h File Reference

Base classes for working with authenticated encryption modes of encryption. More...

Go to the source code of this file.

## Classes

class | AuthenticatedSymmetricCipherBase
| Base implementation for one direction (encryption or decryption) of a stream cipher or block cipher mode with authentication. More...

## Detailed Description

Base classes for working with authenticated encryption modes of encryption.

Since
  Crypto++ 5.6.0

Definition in file authenc.h.